API reference
Reports
Sales report
/reports/salesDates are days in the store's time zone; at most 2 years. Default: the last 30 days.
Required scopes:read_reports
Query parameters
| Name | Type | Description |
|---|---|---|
from | string<date> | First day (YYYY-MM-DD). |
to | string<date> | Last day, inclusive (YYYY-MM-DD). |
interval | string | Rows per day, week or month (default by range length). One of: |
Example request
curl "https://api.sellorchard.com/v1/reports/sales" \
-H "Authorization: Bearer $SELLORCHARD_API_KEY"Response200The sales report.
ShowHide response schema
dataSalesReportrequiredTest and cancelled orders are left out.
ShowHide child attributes
objectstringrequiredfromstring<date>requiredFirst day (store time zone).
tostring<date>requiredLast day (inclusive).
intervalstringrequiredRow grouping.
One of:
dayweekmonthtimezonestringrequiredStore time zone.
currencystringrequiredStore currency (orders in other currencies are converted).
totalsSalesReportRowrequiredShowHide child attributes
periodstring<date>First day of the period (store time zone); totals have none.
gross_salesstringGoods sold.
pattern ^-?\d+\.\d{2}$
discountsstringDiscounts.
pattern ^-?\d+\.\d{2}$
returnsstringRefunds.
pattern ^-?\d+\.\d{2}$
net_salesstringGross − discounts − returns.
pattern ^-?\d+\.\d{2}$
shippingstringShipping.
pattern ^-?\d+\.\d{2}$
taxesstringTaxes.
pattern ^-?\d+\.\d{2}$
total_salesstringNet + shipping + taxes.
pattern ^-?\d+\.\d{2}$
ordersintegerOrders.
unitsintegerUnits.
aovstringAverage order value.
pattern ^-?\d+\.\d{2}$
gift_cards_soldstringGift cards sold.
pattern ^-?\d+\.\d{2}$
coststringCost of goods.
pattern ^-?\d+\.\d{2}$
profitstringNet − cost.
pattern ^-?\d+\.\d{2}$
marginnumber | nullProfit / net sales, percent.
rowsarray of SalesReportRowrequiredOne per period.
ShowHide item attributes
periodstring<date>First day of the period (store time zone); totals have none.
gross_salesstringGoods sold.
pattern ^-?\d+\.\d{2}$
discountsstringDiscounts.
pattern ^-?\d+\.\d{2}$
returnsstringRefunds.
pattern ^-?\d+\.\d{2}$
net_salesstringGross − discounts − returns.
pattern ^-?\d+\.\d{2}$
shippingstringShipping.
pattern ^-?\d+\.\d{2}$
taxesstringTaxes.
pattern ^-?\d+\.\d{2}$
total_salesstringNet + shipping + taxes.
pattern ^-?\d+\.\d{2}$
ordersintegerOrders.
unitsintegerUnits.
aovstringAverage order value.
pattern ^-?\d+\.\d{2}$
gift_cards_soldstringGift cards sold.
pattern ^-?\d+\.\d{2}$
coststringCost of goods.
pattern ^-?\d+\.\d{2}$
profitstringNet − cost.
pattern ^-?\d+\.\d{2}$
marginnumber | nullProfit / net sales, percent.
{
"data": {
"object": "sales_report",
"from": "2026-11-01",
"to": "2026-11-07",
"interval": "day",
"timezone": "America/Chicago",
"currency": "USD",
"totals": {
"period": "2026-11-01",
"gross_sales": "1250.00",
"discounts": "80.00",
"returns": "0.00",
"net_sales": "1170.00",
"shipping": "60.00",
"taxes": "96.53",
"total_sales": "1326.53",
"orders": 24,
"units": 51,
"aov": "55.27"
},
"rows": [
{
"period": "2026-11-01",
"gross_sales": "1250.00",
"discounts": "80.00",
"returns": "0.00",
"net_sales": "1170.00",
"shipping": "60.00",
"taxes": "96.53",
"total_sales": "1326.53",
"orders": 24,
"units": 51,
"aov": "55.27"
}
]
}
}Error responses
- 401
authenticationMissing, invalid, expired or revoked API key. - 403
permissionThe key lacks the scope, or the store's plan doesn't include the API. - 422
invalid_requestInvalid parameters;errorslists each field. - 429
rate_limitedToo many requests. - 500
serverSomething went wrong on our side; safe to retry with the same Idempotency-Key.